Redmine Plugin development in Rails 3 versus Rails 4

Added by Christopher Mann almost 7 years ago

Hi,

I am updating my plugin from Redmine 0.8 to the current Redmine, and am wondering if there will be any issues porting it to Redmine on Rails 4.

There are a lot of great plugins from the 0.9 era, like Kanban, that could use a refresher as well.

Christopher

Replies (2)

RE: Redmine Plugin development in Rails 3 versus Rails 4 - Added by Rachid B almost 7 years ago

I see a big problem, because the Observers are remove in changeset #12021.
So I got everywhere a "uninitialized constant JournalObserver (NameError)"

RE: Redmine Plugin development in Rails 3 versus Rails 4 - Added by dj jones over 6 years ago

Soe other plugins have successfully moved away from Observers, so they now work on RedMine 2.4 eg: the redmine_helpdesk plugin: (http://www.redmine.org/plugins/redmine_helpdesk) -:

Migrated away from Observers to be compatible with 2.4.x
- https://github.com/jfqd/redmine_helpdesk/commit/cba54bd12f6b00ee808087f2e13bd62c8b4e713f

(1-2/2)